Debian Bug report logs - #606515
Preseed installation does not wait for network to be ready

version graph

Package: netcfg; Maintainer for netcfg is Debian Install System Team <debian-boot@lists.debian.org>; Source for netcfg is src:netcfg.

Reported by: Floris Bos <bos@je-eigen-domein.nl>

Date: Thu, 9 Dec 2010 21:48:02 UTC

Severity: normal

Fixed in version netcfg/1.60

Done: Matt Palmer <mpalmer@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#606515; Package network-preseed. (Thu, 09 Dec 2010 21:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Floris Bos <bos@je-eigen-domein.nl>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 09 Dec 2010 21:48:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Floris Bos <bos@je-eigen-domein.nl>
To: submit@bugs.debian.org
Subject: Preseed installation does not wait for network to be ready
Date: Thu, 9 Dec 2010 22:22:10 +0100
Package: network-preseed
Version: 1.41


We are experiencing problems automatically installing Debian Lenny on a number 
of dedicated servers using PXE and preseed.
Our setup works correctly with some hardware configurations, while others give 
a "Failed to retrieve the preconfiguration file" error message.

If we manually press "Continue" and tell Debian installer to fetch the 
preconfiguration file a second time from the menu, installation does work 
properly.


I suspect the reason it does not work the first time is that Debian installer 
does not bother to wait before the network link is ready, before attempting to 
fetch the preconfiguration file.
When I press alt-F4 and look at the messages it shows:

==
23:15:29 main-menu[1624]: INFO: menu item 'network-preseed' selected
23:15:32 kernel: eth0: Link is up 1000 Mbps Full Duplex Flow control: none
==

So if I understand the messages correctly the network-preseed routine is 
executed 3 seconds before the link is actually up?



We assign a static network configuration to the servers using boot parameters  
like this:

==
kernel http://INSTALL-SERVER/main/installer-
amd64/current/images/netboot/debian-installer/amd64/linux 
netcfg/choose_interface=auto debian-installer/locale=en_US kbd-
chooser/method=us console-keymaps-at/keymap=us netcfg/disable_dhcp=true 
netcfg/get_ipaddress=$ip netcfg/get_netmask=$netmask 
netcfg/get_gateway=$gateway netcfg/get_nameservers=127.0.0.1 
netcfg/get_hostname=$hostname netcfg/get_domain= preseed/url=http://INSTALL-
SERVER/kickstart.php/debian-preseed

(where $ip $netmask $gateway and $hostname is filled in with the information of 
the server being provisioned)
==


KVM over IP screenshot of the error message: 
http://image.bayimg.com/gabigaade.jpg
Screenshot of the messages: http://image.bayimg.com/gabihaade.jpg



Yours sincerely,

Floris Bos




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#606515; Package network-preseed. (Sat, 11 Dec 2010 21:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Floris Bos <bos@je-eigen-domein.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 11 Dec 2010 21:00:03 GMT) Full text and rfc822 format available.

Message #10 received at 606515@bugs.debian.org (full text, mbox):

From: Floris Bos <bos@je-eigen-domein.nl>
To: 606515@bugs.debian.org
Subject: Re: Bug#606515: Preseed installation does not wait for network to be ready
Date: Sat, 11 Dec 2010 21:33:07 +0100
[Message part 1 (text/plain, inline)]
Hi,

Attached a patch to netcfg that waits for the link to come up before 
proceeding.
It times out after 10 seconds, so if link detection is broken for some reason 
it doesn't affect the install.


-- 
Yours sincerely,

Floris Bos
[netcfg-wait-for-link.patch (text/x-patch, attachment)]

Bug reassigned from package 'network-preseed' to 'netcfg'. Request was from Matthew Palmer <mpalmer@debian.org> to control@bugs.debian.org. (Sun, 23 Jan 2011 00:24:03 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions preseed/1.41. Request was from Matthew Palmer <mpalmer@debian.org> to control@bugs.debian.org. (Sun, 23 Jan 2011 00:24:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#606515; Package netcfg. (Sun, 23 Jan 2011 02:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Palmer <mpalmer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 23 Jan 2011 02:39:03 GMT) Full text and rfc822 format available.

Message #19 received at 606515@bugs.debian.org (full text, mbox):

From: Matt Palmer <mpalmer@debian.org>
To: control@bugs.debian.org
Cc: 606515@bugs.debian.org
Subject: setting package to netcfg netcfg-static, tagging 606515
Date: Sun, 23 Jan 2011 13:35:57 +1100
# Automatically generated email from bts, devscripts version 2.10.35lenny7
# via tagpending 
#
# netcfg (1.60) UNRELEASED; urgency=low
#
#  * Wait for link detection on static interface configuration.
#    Closes: #606515.
#

package netcfg netcfg-static
tags 606515 + pending





Added tag(s) pending. Request was from Matt Palmer <mpalmer@debian.org> to control@bugs.debian.org. (Sun, 23 Jan 2011 02:39:05 GMT) Full text and rfc822 format available.

Reply sent to Matt Palmer <mpalmer@debian.org>:
You have taken responsibility. (Sun, 06 Feb 2011 09:42:14 GMT) Full text and rfc822 format available.

Notification sent to Floris Bos <bos@je-eigen-domein.nl>:
Bug acknowledged by developer. (Sun, 06 Feb 2011 09:42:14 GMT) Full text and rfc822 format available.

Message #26 received at 606515-close@bugs.debian.org (full text, mbox):

From: Matt Palmer <mpalmer@debian.org>
To: 606515-close@bugs.debian.org
Subject: Bug#606515: fixed in netcfg 1.60
Date: Sun, 06 Feb 2011 09:38:54 +0000
Source: netcfg
Source-Version: 1.60

We believe that the bug you reported is fixed in the latest version of
netcfg, which is due to be installed in the Debian FTP archive:

netcfg-static_1.60_i386.udeb
  to main/n/netcfg/netcfg-static_1.60_i386.udeb
netcfg_1.60.dsc
  to main/n/netcfg/netcfg_1.60.dsc
netcfg_1.60.tar.gz
  to main/n/netcfg/netcfg_1.60.tar.gz
netcfg_1.60_i386.udeb
  to main/n/netcfg/netcfg_1.60_i386.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 606515@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matt Palmer <mpalmer@debian.org> (supplier of updated netcfg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 06 Feb 2011 12:59:07 +1100
Source: netcfg
Binary: netcfg netcfg-static
Architecture: source i386
Version: 1.60
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Matt Palmer <mpalmer@debian.org>
Description: 
 netcfg     - Configure the network (udeb)
 netcfg-static - Configure a static network (udeb)
Closes: 399071 414117 496647 606515 610553
Changes: 
 netcfg (1.60) unstable; urgency=low
 .
   [ Matt Palmer ]
   * Increase the frequency of DHCP discover packets sent during DHCP
     configuration using udhcpc.  This should ameliorate some problems with
     DHCP configuration when a link is slow to become available.
     Thanks to Ferenc Wagner for the patch.
   * Clarify the requirements for hostnames.  Closes: #399071.
   * Modify ethtool-lite so that it distinguishes between "ethtool failed"
     and "ethtool says link is down".  This should reduce link up/link down
     confusion.  Closes: #496647.
   * Wait for up to 3 seconds (in 0.25s increments) looking for the link on
     an interface.  Add a progress bar to show the progress of this
     operation.  Closes: #414117.
   * Wait for link detection on static interface configuration.
     Closes: #606515.
   * Release DHCP lease at the completion of the install.  Closes: #610553.
 .
   [ Updated translations ]
   * Czech (cs.po) by Miroslav Kure
   * Basque (eu.po) by Piarres Beobide
   * French (fr.po) by Christian Perrier
   * Kazakh (kk.po) by Baurzhan Muftakhidinov
   * Nepali (ne.po)
   * Russian (ru.po) by Yuri Kozlov
   * Slovak (sk.po) by Ivan Masár
   * Swedish (sv.po) by Daniel Nylander
   * Telugu (te.po) by Arjuna Rao Chavala
   * Thai (th.po) by Theppitak Karoonboonyanan
Checksums-Sha1: 
 150da085b3151e44ec2346dd7951b6316ffa673d 1087 netcfg_1.60.dsc
 d9fc057133018d249e800046770e351fe057d8e5 426818 netcfg_1.60.tar.gz
 4a3fa640810e8432ec8f6d8f9443f4e9a1fb6c2b 318010 netcfg_1.60_i386.udeb
 867de966db11bd4025521b2729f61f96663e273e 243732 netcfg-static_1.60_i386.udeb
Checksums-Sha256: 
 acfaa16d8c649ba047758af690216ea31f28af6a943443209b4d9ae86da20472 1087 netcfg_1.60.dsc
 7dcead5de32a689ff5d32f7efd851f007b9c8f74b63ea1868c4e39e642e3cb1a 426818 netcfg_1.60.tar.gz
 a7b73c85a4e2c875c5f3302248df55d79458bc282999045844afce8845febf81 318010 netcfg_1.60_i386.udeb
 f27a71edc33db4f8b101cc9fa062f7fd29fccddfdcf70e9810bc2e370caa5ce6 243732 netcfg-static_1.60_i386.udeb
Files: 
 b8e61b3bd5f10588d92117eb366ff086 1087 debian-installer optional netcfg_1.60.dsc
 1bd95ab09187ce4dec5c10a939edb4cf 426818 debian-installer optional netcfg_1.60.tar.gz
 e245696aea11efe9d5f7ba89d2c70fd4 318010 debian-installer optional netcfg_1.60_i386.udeb
 9ebb07fbb04e88b68b930a199b533bc9 243732 debian-installer optional netcfg-static_1.60_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFNTgSIBEnrTWk1E4cRAlp6AJ9dKlIC071ycb2mU4I8itgeU4ktUACeJLCf
CCr8i3SRTmBMqzl2jvsCr7E=
=0JEP
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 12 Jul 2011 07:34:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:27:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.